Storage Management/Data Storage APIs/SAN Storage Related Interfaces/NVMe Storage Related Interfaces
GETNVMe Storage Related InterfacesSince 4.6.21SynchronousAuth Required
Query NVMe Target
Query NVMe Target
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
This API requires no request parameters.
Responses
Endpoint
GET/zstack/v1/storage-devices/nvme/controllers
/zstack/v1/storage-devices/nvme/controllers
Request Example
curl -X GET 'http://{host}/zstack/v1/storage-devices/nvme/controllers' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "uuid": "40ab069909633d4293c62f44efb26db8", "state": "Enabled", "nvmeLuns": [ { "nvmeTargetUuid": "40ab069909633d4293c62f44efb26db8", "nvmeLunHostRefs": [ { "id": 1, "nvmeLunUuid": "5690b46050623763a0335e753c347fa1", "hostUuid": "d6f8a7ff0069304080b345c077c3aeb9", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "name": "nvme-lun-36b083fe000daf018000022905ba35d8f", "uuid": "5690b46050623763a0335e753c347fa1", "wwid": "uuid.48daeab7-7f15-405e-8481-7152cb9b0aca", "wwn": "uuid.48daeab7-7f15-405e-8481-7152cb9b0aca", "serial": "3d87eca1686c1782", "type": "disk", "path": "nvme-uuid.48daeab7-7f15-405e-8481-7152cb9b0aca ", "size": 5497558138880 } ], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }Change History
This API has no change history records yet.
